package cn.com.tenlion.systembase.controller.route.homicidesuspect;

import ink.wgink.common.base.DefaultBaseController;
import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.*;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.ModelAndView;

/**
 * @ClassName: HomicideSuspectController
 * @Description: 命案犯罪嫌疑人
 * @Author: CodeFactory
 * @Date: 2021-10-19 10:59:12
 * @Version: 3.0
 **/
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "命案犯罪嫌疑人路由")
@RestController
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/homicidesuspect")
public class HomicideSuspectRouteController extends DefaultBaseController {

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("homicidesuspect/save");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("homicidesuspect/update");
    }

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("homicidesuspect/list");
    }

    @GetMapping("list-view")
    public ModelAndView listView() {
        return new ModelAndView("homicidesuspect/list-view");
    }

}